/* @import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Smooch&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Ms+Madi&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Borel&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap'); */

* {
    /* font-family: 'Open Sans', sans-serif; */
    /* font-family: 'Smooch', cursive; */
    /* font-family: 'Ms Madi', cursive; */
    /* font-family: "Borel", serif; */
    /* font-family: "Pacifico", serif; */
    font-family: monospace;
    font-weight: 300;
    font-style: normal;
    --input-focus: #337c33bf;
    --black: #000000a8;
    --bg: #f7fde1;
}

html,
body {
    /* margin: 30px; */
    height: 100%;
    margin: 0%;
    overflow: hidden;
    color: var(--black);
}

#list-app {
    /* padding: 5px; */
    height: calc(100% - 10px);
}

#list-app-wrapper {
    height: 100%;
}

#list-app,
#list-app-wrapper {
    overflow-y: scroll;
    overflow-x: hidden;
}

#header-wrapper {
    position: sticky;
    top: 0px;
    background-color: #8cfdbd;
    z-index: 1;
    background-image: url(/assets/trees.gif);
    background-size: contain;
    color: white;
    margin-bottom: 5px;
    background-blend-mode: luminosity;
}

body {
    background-color: var(--bg);
}

a {
    color: inherit;
}

#backlink {
    text-decoration: none;
    font-size: 20px;
    position: absolute;
    left: 5px;
    /* position: fixed;
    top: 0px;
    z-index: 1; */
}

h1 {
    margin: 0;
    font-size: 1.5em;
    text-transform: capitalize;
    width: 100%;
    padding: 5px 0;
    /* background-color: var(--bg); */

    /* position: fixed;
    top: 0px; */
}

.material-icons {
    font-size: .8em;
    cursor: pointer;
}

/* List names  */
.link {
    text-decoration: underline;
    cursor: pointer;
    padding: 0 5px;
    padding-right: 20px;
}


.dropIn {
    transform: translate(0, 30%)
}

.bye {
    opacity: 0;
    transition: 1s opacity;

    input {
        display: none;
    }
}

button {
    padding: 5px;
    width: 40px;
    background-color: white;
}

button,
input {
    color: #000000b8;
    ;
    background-color: rgba(255, 255, 255, .7);
    border: 1px solid rgba(0, 0, 0, .5);
    border: .8px solid rgba(0, 0, 0, .5);
    border-radius: 5px;
}

input[type="text"] {
    width: 100%;
    margin-right: 0.5px;
}

#list-container {
    padding: 0 5px;
}

input[type="checkbox"] {
    width: 15px;
}

input[type="checkbox"]:checked {
    width: 15px;
}

input:focus,
input:focus-visible {
    outline: none;
    border-color: var(--input-focus);
    /* box-shadow: 0 0 0 3px rgba(59, 246, 97, 0.3); */
    z-index: -1;
}

input:focus+button {
    border-color: var(--input-focus);
    /* color: var(--input-focus); */
}

button:hover {
    /* box-shadow: 0px 0px 5px #ccc; */
}

li {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    text-shadow: 1px 1px #00000014;
    color: var(--c);
    accent-color: var(--c);
    font-size: 20px;
}

li:after {
    content: '';
    display: block;
    height: 1px;
    width: calc(100% - 40px);

    position: absolute;
    bottom: 0;

    left: 15px;

    background-color: #0000000f;

    /* border: 1px solid red; */
}

li:nth-of-type(4n+1) {

    --c: #a94949;

}

li:nth-of-type(4n+2) {

    --c: #67aaff;
}

li:nth-of-type(4n+3) {

    --c: #9a9a39;
}

li:nth-of-type(4n+4) {

    --c: #529c52;
}


li:not(.strikethrough) label {
    border-bottom: 1px solid var(--c);
}


li.strikethrough label::after {
    opacity: 1;
    transform: scaleX(1);
    /* transform: translateX(0px); */
}

label {
    cursor: pointer;
    padding: 0 5px;
    padding-right: 20px;
    height: 30px;
    align-content: end;
}

label::after {
    content: '';
    display: block;
    height: 1px;
    position: relative;
    bottom: 12px;
    background-color: black;
    transition: all .5s ease;
    opacity: 0;
    transform: scaleX(0);
    transform-origin: left;
}